org.eclipse.lyo.oslc4j.core.model

## Interface OslcMediaType

-     public interface OslcMediaType

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `APPLICATION`
    `static String` | `APPLICATION_JSON`
    `static javax.ws.rs.core.MediaType` | `APPLICATION_JSON_TYPE`
    `static String` | `APPLICATION_RDF_XML`
    `static javax.ws.rs.core.MediaType` | `APPLICATION_RDF_XML_TYPE`
    `static String` | `APPLICATION_X_OSLC_COMPACT_JSON`
    `static javax.ws.rs.core.MediaType` | `APPLICATION_X_OSLC_COMPACT_JSON_TYPE`
    `static String` | `APPLICATION_X_OSLC_COMPACT_XML`
    `static javax.ws.rs.core.MediaType` | `APPLICATION_X_OSLC_COMPACT_XML_TYPE`
    `static String` | `APPLICATION_XML`
    `static javax.ws.rs.core.MediaType` | `APPLICATION_XML_TYPE`
    `static String` | `RDF_XML`
    `static String` | `TEXT`
    `static String` | `TEXT_TURTLE`
    `static javax.ws.rs.core.MediaType` | `TEXT_TURTLE_TYPE`
    `static String` | `TEXT_XML`
    `static javax.ws.rs.core.MediaType` | `TEXT_XML_TYPE`
    `static String` | `TURTLE`
    `static String` | `X_OSLC_COMPACT_JSON`
    `static String` | `X_OSLC_COMPACT_XML`

- - ### Field Detail

    - #### APPLICATION

          static final String APPLICATION

      See Also:
        Constant Field Values

    - #### TEXT

          static final String TEXT

      See Also:
        Constant Field Values

    - #### RDF_XML

          static final String RDF_XML

      See Also:
        Constant Field Values

    - #### APPLICATION_RDF_XML

          static final String APPLICATION_RDF_XML

      See Also:
        Constant Field Values

    - #### APPLICATION_RDF_XML_TYPE

          static final javax.ws.rs.core.MediaType APPLICATION_RDF_XML_TYPE

    - #### APPLICATION_JSON

          static final String APPLICATION_JSON

      See Also:
        Constant Field Values

    - #### APPLICATION_JSON_TYPE

          static final javax.ws.rs.core.MediaType APPLICATION_JSON_TYPE

    - #### APPLICATION_XML

          static final String APPLICATION_XML

      See Also:
        Constant Field Values

    - #### APPLICATION_XML_TYPE

          static final javax.ws.rs.core.MediaType APPLICATION_XML_TYPE

    - #### TEXT_XML

          static final String TEXT_XML

      See Also:
        Constant Field Values

    - #### TEXT_XML_TYPE

          static final javax.ws.rs.core.MediaType TEXT_XML_TYPE

    - #### TURTLE

          static final String TURTLE

      See Also:
        Constant Field Values

    - #### TEXT_TURTLE

          static final String TEXT_TURTLE

      See Also:
        Constant Field Values

    - #### TEXT_TURTLE_TYPE

          static final javax.ws.rs.core.MediaType TEXT_TURTLE_TYPE

    - #### X_OSLC_COMPACT_XML

          static final String X_OSLC_COMPACT_XML

      See Also:
        Constant Field Values

    - #### APPLICATION_X_OSLC_COMPACT_XML

          static final String APPLICATION_X_OSLC_COMPACT_XML

      See Also:
        Constant Field Values

    - #### APPLICATION_X_OSLC_COMPACT_XML_TYPE

          static final javax.ws.rs.core.MediaType APPLICATION_X_OSLC_COMPACT_XML_TYPE

    - #### X_OSLC_COMPACT_JSON

          static final String X_OSLC_COMPACT_JSON

      See Also:
        Constant Field Values

    - #### APPLICATION_X_OSLC_COMPACT_JSON

          static final String APPLICATION_X_OSLC_COMPACT_JSON

      See Also:
        Constant Field Values

    - #### APPLICATION_X_OSLC_COMPACT_JSON_TYPE

          static final javax.ws.rs.core.MediaType APPLICATION_X_OSLC_COMPACT_JSON_TYPE

Copyright © 2016. All rights reserved.